org.keycloak.dom.xmlsec.w3.xmldsig

## Class SPKIDataType

- java.lang.Object
- - org.keycloak.dom.xmlsec.w3.xmldsig.SPKIDataType

-     public class SPKIDataType
      extends Object

  Java class for SPKIDataType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SPKIDataType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence maxOccurs="unbounded">
               <element name="SPKISexp" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
               <any/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Object>` | `spkiSexpAndAny`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPKIDataType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSPKI(Object obj)`
    `List<Object>` | `getSPKISexpAndAny()` Gets the value of the spkiSexpAndAny property.
    `void` | `removeSPKI(Object obj)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### spkiSexpAndAny

          protected List<Object> spkiSexpAndAny

  - ### Constructor Detail

    - #### SPKIDataType

          public SPKIDataType()

  - ### Method Detail

    - #### addSPKI

          public void addSPKI(Object obj)

    - #### removeSPKI

          public void removeSPKI(Object obj)

    - #### getSPKISexpAndAny

          public List<Object> getSPKISexpAndAny()

      Gets the value of the spkiSexpAndAny property.

      Objects of the following type(s) are allowed in the list `Element` `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.